WALL(1)

BEZEICHNUNG
write - eine Nachricht an alle Benutzer schreiben

ÜBERSICHT
wall [-n] [-t Zeitüberschreitung] [-g Gruppe] [Nachricht | Datei]

BESCHREIBUNG
wall zeigt auf den Terminals aller aktuell angemeldeten Benutzer eine Nachricht oder den Inhalt einer Datei an, oder ansonsten dessen Standardeingabe. Der Befehl bricht Zeilen um, die länger als 79 Zeichen sind. Kurze Zeilen werden mit Leerraum bis zum Erreichen von 79 Zeichen aufgefüllt. Der Befehl setzt immer einen Wagenrücklauf und einen Zeilenvorschub ans Ende jeder Zeile.

Nur der Superuser kann auf Terminals jener Benutzer schreiben, die Nachrichten abweisen oder ein Programm verwenden, das Nachrichten automatisch abweist.

Das Lesen aus einer Datei wird verweigert, wenn der Aufrufende nicht der Superuser ist und das Programm »set-user-ID« oder »set-group-ID« gesetzt hat.

OPTIONEN

-n, --nobanner
    unterdrückt das Banner.

-t, --timeout Zeitüberschreitung
    gibt den Schreibversuch nach der in Sekunden angegebenen Zeitüberschreitung auf. Diese Zeitüberschreitung muss eine positive Ganzzahl sein. Der Standardwert ist 300 Sekunden, der aus der Zeit herrührt, als die Benutzer Terminals über Modemleitungen bedient haben.

-g, --group Gruppe
    begrenzt die Ausgabe der Nachricht auf die Mitglieder der angegebenen Gruppe. Das Argument kann ein Gruppenname oder eine Gruppenkennung sein.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

ANMERKUNGEN
Einige Sitzungen, beispielsweise wdm, die am Anfang der ut_type-Daten in utmp(5) einen Doppelpunkt gesetzt haben, empfangen keine Nachricht von wall. Dies geschieht, um Schreibfehler zu vermeiden.

SIEHE AUCH
mesg(1), talk(1), write(1), shutdown(8)

GESCHICHTE
Ein wall-Befehl erschien in Version 7 von AT&T UNIX.

VERFÜGBARKEIT
Der Befehl »wall« ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.